# vim: set ft=spec: -*- rpm-spec -*-

%def_disable debug

#define cvsdate 20040223

Name: scummvm
Version: 0.12.0
Release: alt0.M40.1

Summary: Graphic adventure game interpreter
Group: Games/Adventure
License: GPL
Url: http://www.scummvm.org

Packager: Sir Raorn <raorn@altlinux.ru>

Source: http://dl.sourceforge.net/scummvm/%name-%version.tar
Patch: %name-%version-%release.patch

Provides: %_gamesdatadir/%name

# Automatically added by buildreq on Tue Jan 31 2006
BuildRequires: anyasm gcc-c++ libSDL-devel libalsa-devel libflac-devel libfluidsynth-devel libmad-devel libmpeg2-devel libogg-devel libstdc++-devel libvorbis-devel zlib-devel

%description
ScummVM is a collection of interpreters, capable of emulating several
adventure game engines. ScummVM mainly supports games created using 
SCUMM (Script Creation Utility for Maniac Mansion), used in various
LucasArts games such as Monkey Island, Day of the Tentacle, and others.

ScummVM also contains interpreters for several non-SCUMM games. Currently
these are Beneath a Steel Sky, Broken Sword 1 & 2, Flight of the Amazon
Queen, Simon the Sorcerer 1 & 2, The Legend of Kyrandia and The Feeble
Files.

%prep
%setup
%patch -p1

%build
%remove_optflags %optflags_optimization
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
./configure \
	--prefix=%_prefix \
	--bindir=%_bindir \
	--mandir=%_mandir \
	%{?_disable_debug:--disable-debug --enable-release} \
	--disable-tremor
%make_build

%install
%make_install DESTDIR=%buildroot install

# Menu, themes and extra files
%__mkdir -p %buildroot{%_datadir/applications,%_gamesdatadir/%name,%_datadir/%name/themes,%_datadir/%name}
%__install -p -m644 dists/%name.desktop %buildroot%_datadir/applications
%__install -p -m644 dists/engine-data/* %buildroot%_datadir/%name/
rm -f %buildroot%_datadir/%name/README

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS README NEWS TODO COPYING
%_bindir/scummvm
%_man6dir/scummvm.6*
%_datadir/pixmaps/scummvm.xpm
%_datadir/applications/%name.desktop
%dir %_gamesdatadir/%name
%dir %_datadir/%name
%_datadir/%name/*

%changelog
* Wed Sep 03 2008 Sir Raorn <raorn@altlinux.ru> 0.12.0-alt0.M40.1
- Built for 4.0/branch

* Tue Sep 02 2008 Sir Raorn <raorn@altlinux.ru> 0.12.0-alt1
- [0.12.0]
 + The Legend of Kyrandia: Book Two: Hand of Fate
 + The Legend of Kyrandia: Book Three: Malcolm's Revenge
 + Lost in Time
 + The Bizarre Adventures of Woodruff and the Schnibble
 + Waxworks (PC version)
 + I Have no Mouth, and I must Scream (Macintosh version)
 + Drascula: The Vampire Strikes Back

* Thu Jan 24 2008 Sir Raorn <raorn@altlinux.ru> 0.11.0-alt1
- [0.11.0]
 + I Have no Mouth, and I Must Scream (demo and full game)
 + Elvira: Mistress of the Dark and Elvira 2: The Jaws of Cerberus
 + Better support for early Sierra AGI titles

* Fri Dec 14 2007 Sir Raorn <raorn@altlinux.ru> 0.10.0-alt2
- Engine data updated from tag release-0-10-0

* Thu Aug 23 2007 Sir Raorn <raorn@altlinux.ru> 0.10.0-alt1
- [0.10.0]
 + Sierra AGI engine: Space Quest I & II, King's Quest I-III and many
   more, including a vast number of fan-made games
 + Cinematique evo 1 engine: Future Wars
 + GOB engine: Bargon Attack, Gobliins 2, Goblins 3, Ween: The Prophecy
 + AGOS engine: Simon the Sorcerer's Puzzle Pack
 + Parallaction engine: Nippon Safes Inc.
 + Touche: The Adventures of the Fifth Musketeer engine

* Tue Dec 12 2006 Sir Raorn <raorn@altlinux.ru> 0.9.1-alt1
- [0.9.1]

* Fri Jun 30 2006 Sir Raorn <raorn@altlinux.ru> 0.9.0-alt1
- [0.9.0]
 + Support for The Legend of Kyrandia and The Feeble Files
 + New improved GUI
 + Reworked detection code for SCUMM games
 + Added subtitle configuration controls to the options dialog
 + Numerous bugfixes in the SCUMM, SAGA, Simon, Broken Sword 2 and BASS engines
- Default theme placed in %_datadir/%name/themes
- Added sky.cpt and kyra.dat from https://svn.sourceforge.net/svnroot/scummvm/engine-data/trunk/
- Default "extrapath" set to %_datadir/%name/engine-data
- Default "themepath" set to %_datadir/%name/themes

* Sun Feb 12 2006 Sir Raorn <raorn@altlinux.ru> 0.8.2-alt1
- [0.8.2]

* Tue Jan 31 2006 Sir Raorn <raorn@altlinux.ru> 0.8.1-alt1
- [0.8.1]
- Removed debian-style menu

* Mon Oct 31 2005 Sir Raorn <raorn@altlinux.ru> 0.8.0-alt1
- [0.8.0]
- Updated Summary/description
- Fixed menu entry (closes: #5352)
- Added .desktop file
- Added %%_gamesdatadir/%name

* Tue Mar 29 2005 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt1
- [0.7.1]
- Summary/Description translations dropped (specspo migration)

* Fri Dec 24 2004 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- [0.7.1]
- Wrapper is no longer needed (upstram sets default save path to ~/.scummvm)

* Wed Aug 04 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1.1
- Oops! Fix %_bindir/scummvm attrs

* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1
- [0.6.1]
- Keep save files in ~/.scummvm (Closes #3921)

* Sat Mar 27 2004 Sir Raorn <raorn@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Mon Feb 23 2004 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt2
- CVS snapshot 20040223 (0.5.7-cvs)

* Wed Aug 13 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Wed Jun 25 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Dec 23 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.0b-alt1
- ALTLnux build



